All Classes Files Functions Variables Pages
behavior Architecture Reference
Collaboration diagram for behavior:
[legend]

## Processes

sysclk_process | ( )
stim_proc | ( )

## Procedures

| rand_int( variable seed1: inout positive variable seed2: inout positive min: in integer max: in integer result: out integer )

## Components

fmc_tlu_sp601 | <Entity fmc_tlu_sp601>
pulse_shaper_scorer | <Entity pulse_shaper_scorer>
| Parameter to pulse_strecher.

## Constants

sysclk_period | time := 10 . 0 ns
averagePulseWidth | real := 3 . 0
averagePulseLow | real := 500 . 0

## Signals

SYSCLK_N | std_logic := ' 0 '
SYSCLK_P | std_logic := ' 0 '
SYSCLK | std_logic := ' 0 '
D | std_logic := ' 0 '
RST | std_logic := ' 0 '
pulse_length | std_logic_vector ( 3 downto 0 ) := ( others = > ' 0 ' )
Q | std_logic

## Instantiations

uut | fmc_tlu_sp601 <Entity fmc_tlu_sp601>
| set pulse length to 7(?) clock cycles + internal
scorer | pulse_shaper_scorer <Entity pulse_shaper_scorer>

## Member Data Documentation

scorer pulse_shaper_scorer

Instantiation

Instantiate "scorer" process Examine signals and check for errors

uut fmc_tlu_sp601

Instantiation

set pulse length to 7(?) clock cycles + internal

set pulse length to 5 clock cycles + internal

The documentation for this class was generated from the following files:

- /projects/HEP_Instrumentation/cad/designs/fmc-mtlu/trunk/firmware/hdl/test/fmc_tlu_sp601_tb.vhdl